import { FilterCondition } from "./enums/FilterCondition";
import { FilterOperator } from "./enums/FilterOperator";
import { SortDirection } from "./enums/SortDirection";
import { DynamicQuery } from "./models/DynamicQuery";
import { FilterDescriptor } from "./models/FilterDescriptor";
import { BaseFilterDescriptor } from "./models/BaseFilterDescriptor";
import { FilterGroupDescriptor } from "./models/FilterGroupDescriptor";
import { FilterGroupOptions } from "./models/FilterGroupOptions";
import { FilterOptions } from "./models/FilterOptions";
import { SortDescriptor } from "./models/SortDescriptor";
import { BaseSortDescriptor } from "./models/BaseSortDescriptor";
import { SortOptions } from "./models/SortOptions";
import { QueryProvider } from "./providers/QueryProvider";
declare const _lessThan: FilterOperator;
declare const _lessThanOrEqual: FilterOperator;
declare const _equal: FilterOperator;
declare const _notEqual: FilterOperator;
declare const _greaterThan: FilterOperator;
declare const _greaterThanOrEqual: FilterOperator;
declare const _startWith: FilterOperator;
declare const _endWith: FilterOperator;
declare const _contains: FilterOperator;
declare const _in: FilterOperator;
declare const _notIn: FilterOperator;
declare const _between: FilterOperator;
declare const _bitwiseAny: FilterOperator;
declare const _bitwiseZero: FilterOperator;
declare const _bitwiseAll: FilterOperator;
declare const _asc: SortDirection;
declare const _ascNullFirst: SortDirection;
declare const _ascNullLast: SortDirection;
declare const _desc: SortDirection;
declare const _descNullFirst: SortDirection;
declare const _descNullLast: SortDirection;
export { FilterCondition, FilterOperator, SortDirection, DynamicQuery, FilterDescriptor, BaseFilterDescriptor, FilterGroupDescriptor, FilterGroupOptions, FilterOptions, SortDescriptor, BaseSortDescriptor, SortOptions, QueryProvider, _lessThan, _lessThanOrEqual, _equal, _notEqual, _greaterThan, _greaterThanOrEqual, _startWith, _endWith, _contains, _in, _notIn, _between, _bitwiseAny, _bitwiseZero, _bitwiseAll, _asc, _ascNullFirst, _ascNullLast, _desc, _descNullFirst, _descNullLast, };
