import { SortDirection } from "../enums/SortDirection";
/**
 * Base class for all SortDescriptor.
 */
export declare abstract class BaseSortDescriptor {
    direction: SortDirection;
    readonly type: string;
    constructor(type: string);
    abstract toJSON(): string;
    abstract fromJSON(json: string): BaseSortDescriptor;
}
