import { BaseFilterDescriptor } from "./BaseFilterDescriptor";
import { FilterCondition } from "../enums/FilterCondition";
import { BaseFilterGroup } from "./BaseFilterGroup";
/**
 * Initializes a new instance of the FilterGroupDescriptor class.
 */
export declare class FilterGroupDescriptor<T> extends BaseFilterGroup<T> implements BaseFilterDescriptor<T> {
    condition: FilterCondition;
    readonly type: string;
    getCondition(): FilterCondition;
    /**
     * Serialize current FilterGroupDescriptor to json string.
     */
    toJSON(): string;
    /**
     * Deserialize json string to instance of FilterGroupDescriptor.
     * @param json
     */
    fromJSON(json: string): FilterGroupDescriptor<T>;
}
