"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var class_transformer_1 = require("class-transformer");
var FilterHelper_1 = require("../helpers/FilterHelper");
var FilterCondition_1 = require("../enums/FilterCondition");
var BaseFilterGroup_1 = require("./BaseFilterGroup");
/**
 * Initializes a new instance of the FilterGroupDescriptor class.
 */
var FilterGroupDescriptor = /** @class */ (function (_super) {
    __extends(FilterGroupDescriptor, _super);
    function FilterGroupDescriptor() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.condition = FilterCondition_1.FilterCondition.AND;
        _this.type = "FilterGroupDescriptor";
        return _this;
    }
    FilterGroupDescriptor.prototype.getCondition = function () {
        return this.condition;
    };
    /**
     * Serialize current FilterGroupDescriptor to json string.
     */
    FilterGroupDescriptor.prototype.toJSON = function () {
        return class_transformer_1.serialize(this);
    };
    /**
     * Deserialize json string to instance of FilterGroupDescriptor.
     * @param json
     */
    FilterGroupDescriptor.prototype.fromJSON = function (json) {
        var obj = class_transformer_1.deserialize(FilterGroupDescriptor, json);
        this.filters = FilterHelper_1.FilterHelper.getRealFilters(obj.filters);
        this.condition = obj.condition;
        return this;
    };
    return FilterGroupDescriptor;
}(BaseFilterGroup_1.BaseFilterGroup));
exports.FilterGroupDescriptor = FilterGroupDescriptor;
//# sourceMappingURL=FilterGroupDescriptor.js.map