"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SortDirection;
(function (SortDirection) {
    /**
     * Asc sort direction.
     */
    SortDirection[SortDirection["ASC"] = 0] = "ASC";
    /**
     * Desc sort direction.
     */
    SortDirection[SortDirection["DESC"] = 1] = "DESC";
    /**
     *  Asc sort direction, null/underfined first
     */
    SortDirection[SortDirection["ASC_NULL_FIRST"] = 2] = "ASC_NULL_FIRST";
    /**
     * Desc sort direction, null/underfined first
     */
    SortDirection[SortDirection["DESC_NULL_FIRST"] = 3] = "DESC_NULL_FIRST";
    /**
     *  Asc sort direction, null/underfined last
     */
    SortDirection[SortDirection["ASC_NULL_LAST"] = 4] = "ASC_NULL_LAST";
    /**
     * Desc sort direction, null/underfined last
     */
    SortDirection[SortDirection["DESC_NULL_LAST"] = 5] = "DESC_NULL_LAST";
})(SortDirection = exports.SortDirection || (exports.SortDirection = {}));
//# sourceMappingURL=SortDirection.js.map