import { SortDescriptor } from "../models/SortDescriptor";
import { BaseSortDescriptor } from "../models/BaseSortDescriptor";
export declare class SortHelper {
    static predicateBySorts<T>(obj1: T, obj2: T, sorts: BaseSortDescriptor[]): number;
    static predicateBySortDescriptorBase<T>(obj1: T, obj2: T, sort: BaseSortDescriptor): number;
    static predicateBySortDescriptor<T>(obj1: T, obj2: T, SortDescriptor: SortDescriptor<T>): number;
    static getRealSorts<T>(sorts: BaseSortDescriptor[]): BaseSortDescriptor[];
    private static compareTo;
    private static nonNullableCompareTo;
    private static value1NullCompareTo;
}
